OUTPUT_ARCH(mips)
ENTRY(__start)
MEMORY
{
	ram	: ORIGIN = 0x80000000 , LENGTH = 32M
}

SECTIONS
{
	.text : { "mips/iris_elf-entry.o" (.text*) } > ram
	.text : { *(.text*) } > ram
	.rodata : { *(.rodata*) *(.note*) } > ram
	.sdata : { *(.sdata*) } > ram
	.data : { *(.data*) *(.scommon*) *(.reginfo*) } > ram

	_gp = ABSOLUTE(.);
	.got : { *(.got*) } > ram

	_bss = ABSOLUTE(.);
	.sbss : { *(.sbss*) } > ram
	.bss : { *(.bss*) } > ram
	_end = ABSOLUTE(.);
}
