// Iris: micro-kernel for a capability-based operating system.
// mips/trendtac/threadlist.S: Kernel entry point, called by the boot loader.
// Copyright 2009 Bas Wijnen <wijnen@debian.org>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

	.globl init_start
	.globl thread_start
	.set noreorder

	.balign 0x1000
thread0:
	.incbin "init.elf"

	.balign 0x1000
thread1:
	.incbin "lcd.elf"

	.balign 0x1000
thread2:
	.incbin "gpio.elf"

	.balign 0x1000
thread3:

// Everything from here may be freed after kernel initialization.
init_start:

thread_start:
	.word thread0
	.word thread1
	.word thread2
	.word thread3
