#pypp 0
// Iris: micro-kernel for a capability-based operating system.
// source/booter.ccp: Boot into another kernel.
// Copyright 2010 Bas Wijnen <wijnen@debian.org>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <iris.hh>
#include <devices.hh>

Iris::Num start ():
	Iris::String data = Iris::my_parent.get_capability <Iris::String> ()
	Iris::Boot boot = Iris::my_parent.get_capability <Iris::Boot> ()
	//boot.boot (data, 0x81fff000, 0x81fff000)
	boot.boot (data, 0xa1fff000, 0xa1fff000)
	Iris::panic (0, "boot returns")
	return 0
